# Unmanaged

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = ElementType.METHOD)
@Incubating
annotation class Unmanaged

Indicates that a property of a managed model element is explicitly of an unmanaged type.

This annotation must be present on the getter of the property for the unmanaged type. If the annotation is not present for a property that is not a managed type, a fatal error will occur.

## Functions

annotationType
Link copied to clipboard
abstract fun annotationType(): Class<out Annotation>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
toString
Link copied to clipboard
abstract fun toString(): String